#include "SCAPIDrawingArea.h"
#include "SCAPITimer.h"

class MySCAPIDrawingArea : public SCAPIDrawingArea, public SCAPITimer
{
	public:
	
		// Contructor - Destructor
		MySCAPIDrawingArea(	SCAPIWindow*	inWindowP,
							int				inOriginx = SCAPIDrawingArea_default_originx,
							int 			inOriginy = SCAPIDrawingArea_default_originy,
							int				inWidth = SCAPIDrawingArea_default_width,
							int				inHeight = SCAPIDrawingArea_default_height		);
		~MySCAPIDrawingArea();
		
		// Member functions
		virtual void	LeftMouseButtonDownEvent(int	x, int	y);
		virtual void	MiddleMouseButtonDownEvent(int	x, int	y);
		virtual void	RightMouseButtonDownEvent(int	x, int	y);
		virtual void	LeftMouseButtonUpEvent(int	x, int	y);
		virtual void	MiddleMouseButtonUpEvent(int	x, int	y);
		virtual void	RightMouseButtonUpEvent(int	x, int	y);
		virtual void	MouseMove(int	x, int	y);
		virtual void	Tick();
		
		// Member variables
		bool		mMousePressed;
};
