#include "SCAPIWindow.h"
#include "MySCAPIMenuBar2.h"
#include "SCAPIList.h"
#include "SCAPIStatic.h"
#include "SCAPITextField.h"

class MySCAPIWindow2 : public SCAPIWindow
{
	public:
	
		// Contructor - Destructor
		MySCAPIWindow2(	SCAPIApp*	inAppP,
						char*		inTitle = SCAPIWindow_default_title,
						int			inOriginx = SCAPIWindow_default_originx,
						int 		inOriginy = SCAPIWindow_default_originy,
						int			inWidth = SCAPIWindow_default_width,
						int			inHeight = SCAPIWindow_default_height		);
		~MySCAPIWindow2();
		
		// Member functions
		virtual void		ExecuteCommand(int	inCommand);
		
		// Member variables
		MySCAPIMenuBar2*		mMenuBarP;
		SCAPIList*				mListP;
		SCAPIStatic*			mStaticP;
		SCAPITextField*			mTextFieldP;
		SCAPITextField*			mTextFieldP2;
		SCAPITextField*			mTextFieldP3;
};
