// ===========================================================================
//	SCAPIMenuBar.h			   1997 Spunk Cross		 All rights reserved.
// ===========================================================================

#ifndef SCAPIMENUBAR_H
#define SCAPIMENUBAR_H

#include "SCAPICommonIncludes.h"
#include "SCAPIMenu.h"


// ---------------------------------------------------------------------------
//		 SCAPIMenuBar Class
// ---------------------------------------------------------------------------

class SCAPIMenuBar
{
	friend class SCAPIApp;
	friend class SCAPIWindow;

	// ===========================================================
	// === Spunk Cross API, these are the routines you can use ===
	// ===========================================================
	
		//  Constructor - Destructor
		// --------------------------
		
	public:
	
		SCAPIMenuBar();
		
		~SCAPIMenuBar();
		
		
		//  Member functions
		// ------------------
		
	public:
	
		void	AddMenu(SCAPIMenu*	inMenuP);
		
		
	// =================================
	// === Internal part, do not use ===
	// =================================
	
		//  Member variables
		// ------------------
		
	private:
	
		SCAPIMenu*		mMenuP[50];
		int				mNumMenus;
};

#endif