// ===========================================================================
//	SCAPIMessageBox.h			1997 Spunk Cross		 All rights reserved.
// ===========================================================================

#ifndef SCAPIMESSAGEBOX_H
#define SCAPIMESSAGEBOX_H

#include "SCAPICommonIncludes.h"


// ---------------------------------------------------------------------------
//		 Defines
// ---------------------------------------------------------------------------

#define	SCAPIMessageBox_Info_OK					0

#define	SCAPIMessageBox_Question_YES			0
#define	SCAPIMessageBox_Question_NO				1
#define	SCAPIMessageBox_Question_CANCEL			2

#define	SCAPIMessageBox_Caution_OK				0
#define	SCAPIMessageBox_Caution_CANCEL			1

#define	SCAPIMessageBox_Alert_OK				0


// ---------------------------------------------------------------------------
//		 SCAPIMessageBox Class
// ---------------------------------------------------------------------------

class SCAPIMessageBox
{

	// ===========================================================
	// === Spunk Cross API, these are the routines you can use ===
	// ===========================================================
		
		//  Static member functions
		// -------------------------
		
	public:
	
		static int		Info(char*	inText);
		static int		Question(char*	inText);
		static int		Caution(char*	inText);
		static int		Alert(char*	inText);
};

#endif