// ===========================================================================
//	SCAPITimer.h				1997 Spunk Cross		 All rights reserved.
// ===========================================================================

#ifndef SCAPITIMER_H
#define SCAPITIMER_H

#include "SCAPICommonIncludes.h"


// ---------------------------------------------------------------------------
//		 SCAPITimer Class
// ---------------------------------------------------------------------------

class SCAPITimer : public LPeriodical
{

	// ===========================================================
	// === Spunk Cross API, these are the routines you can use ===
	// ===========================================================
	
		//  Constructor - Destructor
		// --------------------------
		
	public:
	
		SCAPITimer(float	inInterval);
		
		~SCAPITimer();
		
		
		//  Member functions
		// ------------------
		
	public:
	
		void	SetInterval(float	inInterval);
		
		
	protected:
	
		virtual void	Tick();
		
		
	// =================================
	// === Internal part, do not use ===
	// =================================
	
		//  Member variables
		// ------------------
		
	private:
	
		float		mInterval;
		long		mReferenceTickCount;
		
		
		//  Member functions
		// ------------------
		
	private:
	
		virtual	void	SpendTime(const EventRecord		&inMacEvent);
};

#endif