// ===========================================================================
//	SCAPIApp.h				   1997 Spunk Cross		 All rights reserved.
// ===========================================================================

#ifndef SCAPIAPP_H
#define SCAPIAPP_H

#include "SCAPICommonIncludes.h"
#include "SCAPIMenuBar.h"


// ---------------------------------------------------------------------------
//		MFCApp Class
// ---------------------------------------------------------------------------

class MFCApp : public CWinApp
{
	public:
		virtual BOOL 	InitInstance();
		virtual BOOL	OnIdle(LONG	lCount);
		DWORD	mRefTick;
};


// ---------------------------------------------------------------------------
//		SCAPIApp Class
// ---------------------------------------------------------------------------

class SCAPIApp
{
	friend class SCAPIWindow;
	friend class SCAPIWindowMDIFrame;

	// ===========================================================
	// === Spunk Cross API, these are the routines you can use ===
	// ===========================================================
	
		// Constructor
		// -----------
		
	public:
	
		SCAPIApp(int*	argcP, char***	argvP);
		
		
		// Member functions
		// ----------------
		
	public:
		
		void				AssociateMenuBar(SCAPIMenuBar*	inMenuBarP);
		
		
	protected:
	
		virtual void		ExecuteCommand(int	inCommand);
		
		virtual void		CommandStatus(	int		inCommand,
											bool	&outEnabled,
											int		&outMark,
											char*	outName			);
		
		
	// =================================
	// === Internal part, do not use ===
	// =================================
		
		// Member variables
		// ----------------
		
	private:
		
		MFCApp*				mMFCAppInstanceP;
		SCAPIMenuBar*		mMenuBarP;
};

#endif