// ===========================================================================
//	SCAPIButton.h				  1997 Spunk Cross		 All rights reserved.
// ===========================================================================

#ifndef SCAPIBUTTON_H
#define SCAPIBUTTON_H

#include "SCAPICommonIncludes.h"
#include "SCAPIWindow.h"


// ---------------------------------------------------------------------------
//		Defines
// ---------------------------------------------------------------------------

#define SCAPIButton_default_title 		"button"
#define SCAPIButton_default_originx		0
#define SCAPIButton_default_originy		0
#define SCAPIButton_default_width		75
#define SCAPIButton_default_height		30


// ---------------------------------------------------------------------------
//		SCAPIButton Class
// ---------------------------------------------------------------------------

class SCAPIButton : public CButton
{

	// ===========================================================
	// === Spunk Cross API, these are the routines you can use ===
	// ===========================================================
	
		// Constructor - Destructor
		// ------------------------
		
	public:
	
		SCAPIButton(	SCAPIWindow*	inWindowP,
						int				inCommand,
						char*			inTitle = SCAPIButton_default_title,
						int				inOriginx = SCAPIButton_default_originx,
						int 			inOriginy = SCAPIButton_default_originy,
						int				inWidth = SCAPIButton_default_width,
						int				inHeight = SCAPIButton_default_height		);
		
		~SCAPIButton();
		
		
		// Member functions
		// ----------------
		
	public:
		
		void			Enable();
		void			Disable();
};

#endif