#include "MySCAPIMenuBar.h"

// Constructor - Destructor

MySCAPIMenuBar::MySCAPIMenuBar() : SCAPIMenuBar()
{
	mMenuP1 = (SCAPIMenu*) new SCAPIMenu("Menu1");
	mMenuP1->AddItem(1010, "Menu1, Item1");
	mMenuP1->AddSeparator();
	mMenuP1->AddItem(1011, "Menu1, Item3");
	mMenuP1->AddItem(1012, "Menu1, Item4");
	AddMenu(mMenuP1);
	
	mMenuP2 = (SCAPIMenu*) new SCAPIMenu("Menu2");
	mMenuP2->AddItem(1100, "Menu2, Item1");
	mMenuP2->AddItem(1101, "Menu2, Item2");
	mMenuP2->AddItem(1102, "Menu2, Item3");
	AddMenu(mMenuP2);
}

MySCAPIMenuBar::~MySCAPIMenuBar()
{
	delete mMenuP1;
	delete mMenuP2;
}
