#include "SCAPIWindow.h"
#include "MySCAPIMenuBar.h"
#include "SCAPIButton.h"
#include "SCAPIDefaultButton.h"
#include "SCAPICheckBox.h"
#include "SCAPIRadioButton.h"
#include "SCAPIGroupBox.h"

class MySCAPIWindow : public SCAPIWindow
{
	public:
	
		// Contructor - Destructor
		MySCAPIWindow(	SCAPIApp*	inAppP,
						char*		inTitle = SCAPIWindow_default_title,
						int			inOriginx = SCAPIWindow_default_originx,
						int 		inOriginy = SCAPIWindow_default_originy,
						int			inWidth = SCAPIWindow_default_width,
						int			inHeight = SCAPIWindow_default_height		);
		~MySCAPIWindow();
		
		// Member functions
		virtual void		ExecuteCommand(int	inCommand);
		virtual void		CommandStatus(	int		inCommand,
											bool	&outEnabled,
											int		&outMark,
											char*	outName		);
																						
		// Member variables
		MySCAPIMenuBar*			mMenuBarP;
		SCAPIButton*			mButtonP;
		SCAPIDefaultButton*		mDefaultButtonP;
		SCAPICheckBox*			mCheckBoxP;
		SCAPIRadioButton*		mRadioP;
		SCAPIRadioButton*		mRadioP2;
		SCAPIRadioButton*		mRadioP3;
		SCAPIGroupBox*			mGroupBoxP;
};
