// ===========================================================================
//	SCAPIDefaultButton.h		1997 Spunk Cross		 All rights reserved.
// ===========================================================================

#ifndef SCAPIDEFAULTBUTTON_H
#define SCAPIDEFAULTBUTTON_H

#include "SCAPICommonIncludes.h"
#include "SCAPIWindow.h"


// ---------------------------------------------------------------------------
//		Defines
// ---------------------------------------------------------------------------

#define SCAPIDefaultButton_default_title 		"button"
#define SCAPIDefaultButton_default_originx		0
#define SCAPIDefaultButton_default_originy		0
#define SCAPIDefaultButton_default_width		75
#define SCAPIDefaultButton_default_height		30


// ---------------------------------------------------------------------------
//		SCAPIDefaultButton Class
// ---------------------------------------------------------------------------

class SCAPIDefaultButton : public CButton
{

	// ===========================================================
	// === Spunk Cross API, these are the routines you can use ===
	// ===========================================================
	
		// Constructor - Destructor
		// ------------------------
		
	public:
	
		SCAPIDefaultButton(	SCAPIWindow*	inWindowP,
							int				inCommand,
							char*			inTitle = SCAPIDefaultButton_default_title,
							int				inOriginx = SCAPIDefaultButton_default_originx,
							int 			inOriginy = SCAPIDefaultButton_default_originy,
							int				inWidth = SCAPIDefaultButton_default_width,
							int				inHeight = SCAPIDefaultButton_default_height		);
		
		~SCAPIDefaultButton();
		
		
		// Member functions
		// ----------------
		
	public:
		
		void			Enable();
		void			Disable();
};

#endif