// ===========================================================================
//	SCAPIMenu.h				   1997 Spunk Cross		 All rights reserved.
// ===========================================================================

#ifndef SCAPIMENU_H
#define SCAPIMENU_H

#include "SCAPICommonIncludes.h"


// ---------------------------------------------------------------------------
//		SCAPIMenu Class
// ---------------------------------------------------------------------------

class SCAPIMenu : public CMenu
{
	friend class SCAPIMenuBar;

	// ===========================================================
	// === Spunk Cross API, these are the routines you can use ===
	// ===========================================================
	
		// Constructor - Destructor
		// ------------------------
		
	public:
	
		SCAPIMenu(char*	inTitle);
		
		~SCAPIMenu();
		
		
		// Member functions
		// ----------------
		
	public:
	
		void	AddItem(int	inCommand, char*	inText);
		
		void	AddSeparator(void);
		
		
	// =================================
	// === Internal part, do not use ===
	// =================================
		
		// Member variables
		// ----------------
		
	private:
	
		char*	mMenuTitle;
};

#endif