// ===========================================================================
//	SCAPIStatic.h				  1997 Spunk Cross		 All rights reserved.
// ===========================================================================

#ifndef SCAPISTATIC_H
#define SCAPISTATIC_H

#include "SCAPICommonIncludes.h"
#include "SCAPIWindow.h"


// ---------------------------------------------------------------------------
//		Defines
// ---------------------------------------------------------------------------

#define SCAPIStatic_default_originx			0
#define SCAPIStatic_default_originy			0
#define SCAPIStatic_default_width			50
#define SCAPIStatic_default_height			25


// ---------------------------------------------------------------------------
//		SCAPIStatic Class
// ---------------------------------------------------------------------------

class SCAPIStatic : public CStatic
{

	// ===========================================================
	// === Spunk Cross API, these are the routines you can use ===
	// ===========================================================
	
		// Constructor - Destructor
		// ------------------------
		
	public:
	
		SCAPIStatic(	char*			inText,
						SCAPIWindow*	inWindowP,
						int				inOriginx = SCAPIStatic_default_originx,
						int 			inOriginy = SCAPIStatic_default_originy,
						int				inWidth = SCAPIStatic_default_width,
						int				inHeight = SCAPIStatic_default_height		);
		
		~SCAPIStatic();
};

#endif